%define git_date 20090203
%define git_version 13281b3
Name:		dbus-c++
Version:	0.5.0
Release:	0.10.%{git_date}git%{git_version}.1%{?dist}
Summary:	Native C++ bindings for D-Bus

Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://freedesktop.org/wiki/Software/dbus-c++
# Generate tarball
# git clone git://anongit.freedesktop.org/git/dbus/dbus-c++/
# git-archive --format=tar --prefix=dbus-c++/ %{git_version} | bzip2 > dbus-c++-0.5.0.`date +%Y%m%d`git%{git_version}.tar.bz2
Source0:	%{name}-%{version}.%{git_date}git%{git_version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1:	dbus-c++-get-uid-api.patch
Patch2: gcc-44.patch
Patch3: dbus-c++-build-fix.patch

BuildRequires:	dbus-devel
BuildRequires:	glib2-devel
Buildrequires:	gtkmm24-devel
Buildrequires:	libtool
BuildRequires:	expat-devel

%description
Native C++ bindings for D-Bus for use in C++ programs.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig
%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}
%{__sed} -i 's/\r//' AUTHORS
%{__sed} -i 's/-O3//' configure.ac
%patch1 -p1 -b .uid
%patch2 -p1 -b .gcc44
%patch3 -p1 -b .buildfix

%build
./autogen.sh
export CPPFLAGS='%{optflags}'
%configure --disable-static --enable-glib
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{_bindir}/dbusxx-introspect
%{_bindir}/dbusxx-xml2cpp
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc TODO
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog

